List Voices for LLM Model
curl --request GET \
--url https://api.ravan.ai/api/v1/available-voice-ids/{llm_model_id}/voices \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ravan.ai/api/v1/available-voice-ids/{llm_model_id}/voices"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ravan.ai/api/v1/available-voice-ids/{llm_model_id}/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Voices fetched successfully",
"data": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"llm_model_id": "550e8400-e29b-41d4-a716-446655440000",
"real_voice_id": "alloy",
"voice_name": "Alloy",
"real_voice_name": "alloy",
"gender": "female",
"language": "en",
"recording_url": "https://cdn.ravan.ai/voices/alloy.mp3",
"img_url": "https://cdn.ravan.ai/voices/alloy.png"
}
],
"meta": {
"total": 1,
"limit": 10,
"offset": 0
}
}
Agent API
List Voices for LLM Model
List available voices for a specific LLM model.
GET
/
api
/
v1
/
available-voice-ids
/
{llm_model_id}
/
voices
List Voices for LLM Model
Authorizations
string
required
Your Agni API key used to authenticate the request. Pass it in the
X-Api-Key header.Path Parameters
string
required
The unique ID of the LLM model to fetch voices for.
Query Parameters
integer
The maximum number of voice records to return. Example:
10.integer
The number of voice records to skip before returning results. Example:
0.Request
curl --location "https://api.ravan.ai/api/v1/available-voice-ids/{llm_model_id}/voices?limit=10&offset=0" \
--header "X-Api-Key: YOUR_API_KEY"
Response
boolean
Whether the request succeeded.
string
Human-readable status message.
object[]
Voices available for the requested LLM model.
Show data[]
Show data[]
string
Unique voice ID. Use this value as the
voice_id when creating or updating an agent.string
ID of the LLM model this voice belongs to.
string
Provider-specific voice identifier. Example:
alloy.string
Display name of the voice.
string
Provider-specific voice name.
string
Voice gender label.
string
Voice language code.
string
URL for a sample recording.
string
URL for the voice image.
object
{
"success": true,
"message": "Voices fetched successfully",
"data": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"llm_model_id": "550e8400-e29b-41d4-a716-446655440000",
"real_voice_id": "alloy",
"voice_name": "Alloy",
"real_voice_name": "alloy",
"gender": "female",
"language": "en",
"recording_url": "https://cdn.ravan.ai/voices/alloy.mp3",
"img_url": "https://cdn.ravan.ai/voices/alloy.png"
}
],
"meta": {
"total": 1,
"limit": 10,
"offset": 0
}
}
Authorizations
Path Parameters
LLM model ID
Query Parameters
The maximum number of voice records to return.
The number of voice records to skip before returning results.

